summaryrefslogtreecommitdiffstats
path: root/source/tcl/tcl/tcl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tcl/tcl.SlackBuild')
-rwxr-xr-xsource/tcl/tcl/tcl.SlackBuild43
1 files changed, 21 insertions, 22 deletions
diff --git a/source/tcl/tcl/tcl.SlackBuild b/source/tcl/tcl/tcl.SlackBuild
index ff0ad5a38..0f553b764 100755
--- a/source/tcl/tcl/tcl.SlackBuild
+++ b/source/tcl/tcl/tcl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-8.5.11}
-# See also version number 8.5 in the symlinks below...)
+VERSION=${VERSION:-8.6.1}
+# See also version number 8.6 in the symlinks below...)
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -41,24 +41,25 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tcl
+# Use -DHAVE_USLEEP=1 otherwise the bundled sqlite doesn't work well.
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS="--enable-64bit"
elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS="--enable-64bit"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC -DHAVE_USLEEP=1"
LIBDIRSUFFIX="64"
CONFARGS=""
elif [ "$ARCH" = "arm" ]; then
- SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS=""
elif [ "$ARCH" = "armel" ]; then
- SLKCFLAGS="-O2 -march=armv4t"
+ SLKCFLAGS="-O2 -march=armv4t -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS=""
fi
@@ -87,35 +88,33 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--enable-shared \
--enable-threads \
+ --mandir=/usr/man \
--enable-man-symlinks \
--enable-man-compression=gzip \
${CONFARGS} \
--build=$ARCH-slackware-linux
+
make $NUMJOBS || exit 1
-make install DESTDIR=$PKG
+
+# Fix paths in tclConfig.sh:
+ sed -e "s@^\(TCL_SRC_DIR='\).*@\1/usr/include'@" \
+ -e "/TCL_B/s@='\(-L\)\?.*unix@='\1/usr/lib${LIBDIRSUFFIX}@" \
+ -i tclConfig.sh
+
+make install DESTDIR=$PKG || exit 1
# Some sources require Tcl's private headers, which might not be the
# best thing but we'll include them where we've seen other teams
# doing the same thing:
-mkdir -p $PKG/usr/include/tcl-private/{generic,unix}
-cp -a ../generic/*.h $PKG/usr/include/tcl-private/generic
-cp -a ../unix/*.h $PKG/usr/include/tcl-private/unix
-( cd $PKG/usr/include/tcl-private/generic
- rm -f tcl.h tclDecls.h tclPlatDecls.h
- ln -sf ../../tcl.h .
- ln -sf ../../tclDecls.h .
- ln -sf ../../tclPlatDecls.h
- ln -sf ../unix/tclUnixPort.h
- ln -sf ../unix/tclUnixThrd.h
-)
+make install-private-headers DESTDIR=$PKG || exit 1
( cd $PKG/usr/bin
rm -f tclsh
- ln -sf tclsh8.5 tclsh
+ ln -sf tclsh8.6 tclsh
)
( cd $PKG/usr/lib${LIBDIRSUFFIX}
rm -f libtcl.so
- ln -sf libtcl8.5.so libtcl.so
+ ln -sf libtcl8.6.so libtcl.so
)
find $PKG | xargs file | grep -e "executable" -e "shared object" \